Bug 1788201 - Support Pipeline Operator 0.9.0
Summary: Support Pipeline Operator 0.9.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Andrew Ballantyne
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On: 1778958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-06 17:02 UTC by Andrew Ballantyne
Modified: 2020-02-19 05:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: v0.9.x+ of the OpenShift Pipeline Operator would not work with the UI code after removal of an API reference (serviceAccount was replaced with serviceAccountName). Consequence: The Pipelines created in OpenShift could possibly not create Pipeline Runs if they used the aforementioned key. Fix: Don't explicitly use the key and migrate if found. Result: Pipelines will again work with v0.9.x+ of the OpenShift Pipeline Operator.
Clone Of: 1778958
: 1789119 (view as bug list)
Environment:
Last Closed: 2020-02-19 05:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
This is the yaml file uploaded through CLI (138.05 KB, image/png)
2020-02-12 08:36 UTC, Gajanan More
no flags Details
Pipeline successfully ran after updating it. (95.12 KB, image/png)
2020-02-12 08:36 UTC, Gajanan More
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3869 0 None closed [release-4.3] Bug 1788201: Remove serviceAccount in favour of serviceAccountName 2020-02-19 05:41:32 UTC
Red Hat Product Errata RHBA-2020:0492 0 None None None 2020-02-19 05:40:02 UTC

Comment 2 Andrew Ballantyne 2020-01-07 03:31:56 UTC
Agreed. Github didn't accept the z-stream flagged bug, so I moved it to 4.3.0. This is an operator upversion fix, so it just needs to get in asap. Blocking a release isn't necessary.

Comment 4 Gajanan More 2020-02-12 08:36:21 UTC
Created attachment 1662613 [details]
This is the yaml file uploaded through CLI

Comment 5 Gajanan More 2020-02-12 08:36:58 UTC
Created attachment 1662614 [details]
Pipeline successfully ran after updating it.

Comment 6 Gajanan More 2020-02-12 08:39:02 UTC
I have validated this bug on 
Build: 4.3.1 (This is the RC build)
Browser: Google Chrome Version 78.0.3904.108 (Official Build) (64-bit)

Please find the attachment.
Marking this bug as verified

Comment 8 errata-xmlrpc 2020-02-19 05:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0492


Note You need to log in before you can comment on or make changes to this bug.